org.codehaus.groovy.tools

## Class StringHelper

- java.lang.Object
- - org.codehaus.groovy.tools.StringHelper

    public class StringHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StringHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String[]` `tokenizeUnquoted(java.lang.String s)` This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringHelper

    public StringHelper()

### Method Detail

#### tokenizeUnquoted

    public static java.lang.String[] tokenizeUnquoted(java.lang.String s)

This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method does allows the usage of "" in '' and '' in "". The space character between tokens is not returned.

Parameters:
  `s` - the string to tokenize
Returns:
  the tokens